curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"resourceType":"folder","parentId":"string","name":"string"}'{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceType": "table",
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}Create a hierarchical node for a base
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"resourceType":"folder","parentId":"string","name":"string"}'{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceType": "table",
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Created node
此页面对您有帮助吗?